# Page Not Found

The URL `en/docs/contracts/API-reference/periphery/PeripheryPayments` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Plugin Deployment](https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/guides/custom-plugins/plugin-deployment.md)
- [Plugin Development](https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/guides/custom-plugins/plugin-development.md)
- [Step by Step Deployment](https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/integration-process/step-by-step-deployment.md)
- [Subgraphs and analytics](https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/integration-process/subgraphs-and-analytics.md)
- [Specification and API of contracts](https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/integration-process/specification-and-api-of-contracts.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-integral-technical-reference/guides/custom-plugins/plugin-deployment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.algebra.finance/algebra-integral-documentation/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.algebra.finance/algebra-integral-documentation/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/algebra-integral-documentation/algebra-integral-technical-reference/guides/custom-plugins/plugin-deployment.md`).

You may also use `Accept: text/markdown` header for content negotiation.
